$(function() {
function createList(selector, tasks) {
var list = $(selector).dxList({
items: tasks,
repaintChangesOnly: true,
keyExpr: "id",
itemDragging: {
allowReordering: true,
group: "tasks",
onDragStart: function(e) {
e.itemData = tasks[e.fromIndex];
},
onAdd: function(e) {
tasks.splice(e.toIndex, 0, e.itemData);
list.option("items", tasks);
},
onRemove: function(e) {
tasks.splice(e.fromIndex, 1);
list.option("items", tasks);
}
}
}).dxList("instance");
}
createList("#plannedList", plannedTasks);
createList("#doingList", doingTasks);
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/20.2.5/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="list-demo">
<div class="widget-container">
<div id="plannedList"></div>
<div id="doingList"></div>
</div>
</div>
</div>
</body>
</html>
.widget-container {
display: flex;
}
.widget-container > * {
height: 400px;
width: 50%;
padding: 10px;
}
.dx-scrollview-content {
min-height: 380px;
}
var doingTasks = [{ id: 1, text: "Prepare 2019 Financial"},
{ id: 2, text: "Prepare 2019 Marketing Plan"},
{ id: 3, text: "Update Personnel Files"},
{ id: 4, text: "Review Health Insurance Options Under the Affordable Care Act"}];
var plannedTasks = [{ id: 5, text: "New Brochures"},
{ id: 6, text: "2019 Brochure Designs"},
{ id: 7, text: "Brochure Design Review"},
{ id: 8, text: "Website Re-Design Plan"},
{ id: 9, text: "Rollout of New Website and Marketing Brochures"},
{ id: 10, text: "Create 2018 Sales Report"},
{ id: 11, text: "Direct vs Online Sales Comparison Report"},
{ id: 12, text: "Review 2018 Sales Report and Approve 2019 Plans"},
{ id: 13, text: "Submit Signed NDA"},
{ id: 14, text: "Update Revenue Projections"},
{ id: 15, text: "Review Revenue Projections"},
{ id: 16, text: "Comment on Revenue Projections"},
{ id: 17, text: "Scan Health Insurance Forms"},
{ id: 18, text: "Sign Health Insurance Forms"},
{ id: 19, text: "Follow up with West Coast Stores"},
{ id: 20, text: "Follow up with East Coast Stores"},
{ id: 21, text: "Submit Refund Report for 2019 Recall"},
{ id: 22, text: "Give Final Approval for Refunds"},
{ id: 23, text: "Prepare Product Recall Report"},
{ id: 24, text: "Review Product Recall Report by Engineering Team"},
{ id: 25, text: "Review Training Course for any Ommissions"},
{ id: 26, text: "Review Overtime Report"},
{ id: 27, text: "Submit Overtime Request Forms"},
{ id: 28, text: "Overtime Approval Guidelines"},
{ id: 29, text: "Create Report on Customer Feedback"},
{ id: 30, text: "Review Customer Feedback Report"}];

<template>
<div id="list-demo">
<div class="widget-container">
<DxList
:items="plannedTasks"
:repaint-changes-only="true"
key-expr="id"
>
<DxItemDragging
data="plannedTasks"
:allow-reordering="true"
:on-drag-start="onDragStart"
:on-add="onAdd"
:on-remove="onRemove"
group="tasks"
/>
</DxList>
<DxList
:items="doingTasks"
:repaint-changes-only="true"
key-expr="id"
>
<DxItemDragging
data="doingTasks"
:allow-reordering="true"
:on-drag-start="onDragStart"
:on-add="onAdd"
:on-remove="onRemove"
group="tasks"
/>
</DxList>
</div>
</div>
</template>
<script>
import DxList, { DxItemDragging } from 'devextreme-vue/list';
import { doingTasks, plannedTasks } from './data.js';
export default {
components: {
DxList,
DxItemDragging
},
data() {
return {
doingTasks,
plannedTasks
};
},
methods: {
onDragStart(e) {
e.itemData = this[e.fromData][e.fromIndex];
},
onAdd(e) {
const data = [...this[e.toData]];
data.splice(e.toIndex, 0, e.itemData);
this[e.toData] = data;
},
onRemove(e) {
const data = [...this[e.fromData]];
data.splice(e.fromIndex, 1);
this[e.fromData] = data;
}
}
};
</script>
<style>
.widget-container {
display: flex;
}
.widget-container > * {
height: 400px;
width: 50%;
padding: 10px;
}
.dx-scrollview-content {
min-height: 380px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app">
</div>
</div>
</body>
</html>
export const doingTasks = [{ id: 1, text: 'Prepare 2019 Financial' },
{ id: 2, text: 'Prepare 2019 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' }];
export const plannedTasks = [{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2019 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2018 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2018 Sales Report and Approve 2019 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2019 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Ommissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' }];
System.config({
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader'
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'devextreme-vue': 'npm:devextreme-vue@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme-vue': {
main: 'index.js'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true
}
});

import React from 'react';
import List, { ItemDragging } from 'devextreme-react/list';
import { plannedTasks, doingTasks } from './data.js';
class App extends React.Component {
constructor() {
super();
this.state = {
plannedTasks,
doingTasks,
};
this.onDragStart = this.onDragStart.bind(this);
this.onAdd = this.onAdd.bind(this);
this.onRemove = this.onRemove.bind(this);
this.onReorder = this.onReorder.bind(this);
}
onDragStart(e) {
e.itemData = this.state[e.fromData][e.fromIndex];
}
onAdd(e) {
const tasks = this.state[e.toData];
this.setState({
[e.toData]: [...tasks.slice(0, e.toIndex), e.itemData, ...tasks.slice(e.toIndex)],
});
}
onRemove(e) {
const tasks = this.state[e.fromData];
this.setState({
[e.fromData]: [...tasks.slice(0, e.fromIndex), ...tasks.slice(e.fromIndex + 1)],
});
}
onReorder(e) {
this.onRemove(e);
this.onAdd(e);
}
render() {
return (
<div className="widget-container">
<List
dataSource={this.state.plannedTasks}
keyExpr="id"
repaintChangesOnly={true}>
<ItemDragging
allowReordering={true}
group="tasks"
data="plannedTasks"
onDragStart={this.onDragStart}
onAdd={this.onAdd}
onRemove={this.onRemove}
onReorder={this.onReorder}>
</ItemDragging>
</List>
<List
dataSource={this.state.doingTasks}
keyExpr="id"
repaintChangesOnly={true}>
<ItemDragging
allowReordering={true}
group="tasks"
data="doingTasks"
onDragStart={this.onDragStart}
onAdd={this.onAdd}
onRemove={this.onRemove}
onReorder={this.onReorder}>
</ItemDragging>
</List>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.widget-container {
display: flex;
}
.widget-container > * {
height: 400px;
width: 50%;
padding: 10px;
}
.dx-scrollview-content {
min-height: 380px;
}
export const doingTasks = [{ id: 1, text: 'Prepare 2019 Financial' },
{ id: 2, text: 'Prepare 2019 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' }];
export const plannedTasks = [{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2019 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2018 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2018 Sales Report and Approve 2019 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2019 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' }];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.3/cjs',
'devextreme-react': 'npm:devextreme-react@22.1.3',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.57/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.30/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<div id="list-demo">
<div class="widget-container">
<dx-list
[dataSource]="plannedTasks"
[repaintChangesOnly]="true"
keyExpr="id"
>
<dxo-item-dragging
group="tasks"
[data]="plannedTasks"
[allowReordering]="true"
[onDragStart]="onDragStart"
[onAdd]="onAdd"
[onRemove]="onRemove"
>
</dxo-item-dragging>
</dx-list>
<dx-list [dataSource]="doingTasks" [repaintChangesOnly]="true" keyExpr="id">
<dxo-item-dragging
group="tasks"
[data]="doingTasks"
[allowReordering]="true"
[onDragStart]="onDragStart"
[onAdd]="onAdd"
[onRemove]="onRemove"
>
</dxo-item-dragging>
</dx-list>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxListModule } from 'devextreme-angular';
import { Task, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true,
})
export class AppComponent {
doingTasks: Task[];
plannedTasks: Task[];
constructor(service: Service) {
this.doingTasks = service.getDoingTasks();
this.plannedTasks = service.getPlannedTasks();
}
onDragStart(e) {
e.itemData = e.fromData[e.fromIndex];
}
onAdd(e) {
e.toData.splice(e.toIndex, 0, e.itemData);
}
onRemove(e) {
e.fromData.splice(e.fromIndex, 1);
}
}
@NgModule({
imports: [
BrowserModule,
DxListModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .widget-container {
display: flex;
}
::ng-deep .widget-container > * {
height: 400px;
width: 50%;
padding: 10px;
}
::ng-deep .dx-scrollview-content {
min-height: 380px;
}
import { Injectable } from '@angular/core';
export class Task {
id: number;
text: string;
}
const doingTasks: Task[] = [
{ id: 1, text: 'Prepare 2019 Financial' },
{ id: 2, text: 'Prepare 2019 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' },
];
const plannedTasks: Task[] = [
{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2019 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2018 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2018 Sales Report and Approve 2019 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2019 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' },
{ id: 31, text: 'Customer Feedback Report Analysis' },
{ id: 32, text: 'Prepare Shipping Cost Analysis Report' },
{ id: 33, text: 'Complete Shipper Selection Form' },
{ id: 34, text: 'Upgrade Server Hardware' },
{ id: 35, text: 'Upgrade Personal Computers' },
{ id: 36, text: 'Approve Personal Computer Upgrade Plan' },
{ id: 37, text: 'Estimate Time Required to Touch-Enable Apps' },
{ id: 38, text: 'Report on Tranistion to Touch-Based Apps' },
{ id: 39, text: 'Try New Touch-Enabled WinForms Apps' },
{ id: 40, text: 'Site Up-Time Report' },
{ id: 41, text: 'Review Site Up-Time Report' },
{ id: 42, text: 'Review Online Sales Report' },
{ id: 43, text: 'Determine New Online Marketing Strategy' },
{ id: 44, text: 'Submit New Website Design' },
{ id: 45, text: 'Create Icons for Website' },
{ id: 46, text: 'Review PSDs for New Website' },
{ id: 47, text: 'Create New Shopping Cart' },
{ id: 48, text: 'Launch New Website' },
{ id: 49, text: 'Update Customer Shipping Profiles' },
{ id: 50, text: 'Create New Shipping Return Labels' },
];
@Injectable()
export class Service {
getDoingTasks(): Task[] {
return doingTasks;
}
getPlannedTasks(): Task[] {
return plannedTasks;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.18/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>